applyStickyError <- function(notFoundProt, rateSticky){

    ##This function takes in the set of proteins not interacting with
    ##a particular bait in the TSN. From this set, the function
    ##randomly selects a subset based on rateSticky and this subset
    ##is returned as the FP Sticky errors. NB, the bait has been
    ##identified as sticky by the user.
    
    numNotFoundProt <- length(notFoundProt)
    numFoundProtInErr <- round(rateSticky*numNotFoundProt)
    foundProtInErrIndices <- sample(numNotFoundProt, numFoundProtInErr)
    ProtInErr <- notFoundProt[foundProtInErrIndices]
    ProtInErr

}
    
