recordSticky <- function(simMat, vSticky, vBaits){

    ##We will remove prey that are known to be sticky (or companion or
    ##involved in gluconeogenesis)


    nBaitsP1 = length(vBaits)+1
    ##Because of apComplex, we cannot remove sticky baits...but QC should
    ##have made sure that sticky baits were never used
    stickyNBaits = setdiff(vSticky, vBaits)

    ##vecStickyProt returns the column indices for those prey that
    ##are seen by more than a preselected number of baits
    vecStickyProt = which(colSums(simMat[,nBaitsP1:ncol(simMat)]) > 100)
    namesSP = names(vecStickyProt)

    if (length(stickyNBaits)!= 0){
        ##we will check to see if the sticky proteins have already
        ##been spoken for
        check = stickyNBaits %in% namesSP
        
        if (check == FALSE){

            ##otherwise, we get all the rest
            rest = setdiff(stickyNBaits, namesSP)
            namesInd = which(colnames(simMat) == rest)
            vecStickyProt = c(vecStickyProt, namesInd)

        }
    }
    #print(vecStickyProt)
    vecStickyProt

}
