runAPComplex <- function(errorModel, vBaits){

    ##This function prepares the error model simulation output
    ##as an imput for apComplex. To reduce the size of the
    ##matrix, any column with trivial sum is removed since
    ##this implies that the protein indexing that particular
    ##column is never found by any baits used in the AP-MS
    ##technology, and hence, would not be recorded in the
    ##wet-lab experiment. The return value is the matrix
    ##representation of the bipartite graph.

    library(apComplex)

    prot = colnames(errorModel)
    notBaits = setdiff(prot,vBaits)
    newIndexing = c(vBaits, notBaits)
    errorModel = errorModel[,newIndexing]
    
    n = length(vBaits)
    diag(errorModel) = 1
    cIndToDel = which(colSums(errorModel) == 0 )
    if (length(cIndToDel) != 0){
        errorModel = errorModel[,-cIndToDel]
    }
    errorComplex = findComplexes(errorModel)
    errComp <- createGOMatrix(errorComplex)
    removeProt = which(colSums(errComp) == 1)
    if (length(removeProt) != 0){
        errComp = errComp[,-removeProt]
    }
    errComp

}



