##should it be all proteins or just those in non-trivial complexes?

runCompIndep <- function (TSNMat, estMat, intersectMat){

    ##This function prepares two matrix representation of bipartite
    ##graphs for comparison. We need the rows of TSNMat and erComplex
    ##to be identical if reasonable comparisons can be made. To that
    ##end, both TSNMat and erComplex are extended so that all proteins
    ##are listed and in the same order.
    
    rNamesTSN = rownames(TSNMat)
    rNamesEr = rownames(estMat)

    ##grabbing names of proteins in one matrix and not the other...
    onlyInTSN = setdiff(rNamesTSN, rNamesEr)
    onlyInEr = setdiff(rNamesEr, rNamesTSN)

    ##creating zero matrices indexed by the two sets above....
    apendTSN = matrix(0, nrow = length(onlyInEr), ncol = ncol(TSNMat))
    dimnames(apendTSN) = list(onlyInEr, colnames(TSNMat))
    apendEr = matrix(0, nrow = length(onlyInTSN), ncol = ncol(estMat))
    dimnames(apendEr) = list(onlyInTSN, colnames(estMat))

    ##binding the matrices created above to TSNMat and erComplex...
    TSNMat = rbind(TSNMat, apendTSN)
    estMat = rbind(estMat, apendEr)

    ##aggregate set of preteins listed in some order
    unionNames = union(rNamesTSN, rNamesEr)

    ##makes sure ordering in TSN and erComplex are identical...
    TSNMat = TSNMat[unionNames,]
    estMat = estMat[unionNames,]

    ##calls the compIndep fucntion


    compIndep(TSNMat, estMat, intersectMat)
    

}
