simulator <- function(TSNMat, exMat, bait, rateFP, rateFN){


    ##find the complexes that contain the bait of interest
    colIndices <- which(TSNMat[bait,] == 1)


    ##now we take all the proteins that interact with this bait in the TSN
    ##as well as all those that do not

    foundPrey = which(exMat[bait,] == 1)
    notFoundByThisBait = which(exMat[bait,] == 0)
    
    ##using only the non-interacting proteins, we simulate FP errors
    falsePositive <- applyFPErrors(notFoundByThisBait, rateFP)
    exMat[bait, falsePositive] = 1

    ##using only the interacting proteins, we simulate FN errors
    falseNegative <- applyFNErrors(foundPrey, rateFN)
    exMat[bait, falseNegative] = 0

    exMat
}



    #old code
    #colIndices = NULL
    #for(n in 1:length(bait)){
    #    colIndices <- union(colIndices, which(TSNMat[bait[n],] == 1))
    #}




