simulatorD <- function(deformedBaits, rateD, TSNMat, exMat){

    ##Use a uniform rate for deformation error...
    if (length(rateD) == 1){

        rateD = rep(rateD, length(deformedBaits))
    }

    ##We need to either use a uniform rate for all deformed baits
    ##or we should use a unique rate for each deformed bait
    if (length(rateD) != 1 && length(rateD) != length(deformedBaits)){

        stop("The length of rateD must be either a singleton or equal to the number of deformed baits")
    }

    ##This part of the function partitions the proteins into those interacting with the deformed
    ##bait in the TSN and those that do not. The deformation errors are generated on only those
    ##proteins that do interact with the bait in the TSN.
    for (i in 1:length(deformedBaits)){

        foundPrey = which(exMat[deformedBaits[i],] == 1)
        foundPrey = setdiff(foundPrey, deformedBaits[i])
        missPrey = applyDeformationError(foundPrey, rateD[i])
        exMat[deformedBaits[i], missPrey] = 0
    }

    exMat
}


        #old code 
        #prey <- which(PPIMat[deformedBaits[i],] == 1)
        #prey <- prey[-deformedBaits[i]]
        #missedPrey <- applyDeformationError(prey, rateD[i])
        #PPIMat[deformedBaits[i], missedPrey] = 0
        
