\name{applyFNErrors}
\alias{applyFNErrors}

\title{Function that generates stochastic False Negative Errors}
\description{
  This function generates the stochastic False Negative (FN)
  observations for each bait protein used in the AP-MS simulation.  
}
\usage{
applyFNErrors(foundPrey, rateFN)
}

\arguments{
  \item{foundPrey}{A character vector of proteins.}
  \item{rateFN}{A scalar within the unit interval indicating the rate
    at which stochastic FN obersevations are observed.}
}
\details{
  This function tries to simulate the stochastic nature of the AP-MS
  technology. The overall simulation function,
  \code{\link{runSimulators}}, will call the \code{\link{simulator}}
  function on each bait protein along with some uniform random rate
  at which the technology is estimated to generate FN observations. 
}

\value{
  A character vector, proteinFN:
  
  The proteinsFN is a vector consisting of a subset of the foundPrey
  proteins which will serve as the FN observations for bait protein B.
}

\author{T. Chiang}




\seealso{\code{\link{applyFPErrors}},\code{\link{applyDeformationError}}}
\examples{

data(TSNMatrix)
exampleFoundPrey <- rownames(TSNMatrix)[1:50]
applyFNErrors(exampleFoundPrey, 0.3)
  
}
\keyword{datagen}
