\name{applyFPErrors}
\alias{applyFPErrors}

\title{Function to generate the False Postive Observations}
\description{
  This function generates the stochastic False Positive (FP)
  observations for each bait protein used in the AP-MS simulation. 
}
\usage{
applyFPErrors(notFoundProt, rateFP)
}

\arguments{
  \item{notFoundProt}{A vector of proteins}
  \item{rateFP}{A scalar within the unit interval indicating the rate
    at which stochastic FN obersevations are observed.}
}
\details{
  This function tries to simulate the stochastic nature of the AP-MS
  technology. The overall simulation function,
  \code{\link{runSimulators}}, will call the \code{\link{simulator}}
  function on each bait protein along with some uniform random rate
  at which the technology is estimated to generate FP observations.
}
\value{
  A character vector of proteins, proteinFP:

  The proteinsFP is a vector consisting of a subset of the notFoundProt
  proteins which will serve as the FP output for bait B
}
\author{T.Chiang}

\seealso{\code{\link{applyFNErrors}}, \code{\link{applyStickyError}}}
\examples{

data(TSNMatrix)
exampleNotFoundPrey <- rownames(TSNMatrix)[50:100]
applyFPErrors(exampleNotFoundPrey, 0.04)
  
}
\keyword{datagen}
