\name{runCompIndep}
\alias{runCompIndep}

\title{Function checks the arguments and parameters for
       compIndep.}
\description{
  Makes sure that the same set of proteins are used for both
  each of the first two arguments.
}
\usage{
runCompIndep(TSNMat, estMat, intersectMat)
}

\arguments{
  \item{TSNMat}{Incidence Matrix for the True State of
    Nature (TSN) bipartite graph}
  \item{estMat}{Incidence Matrix for the
    estimate bipartite graph}
  \item{intersectMat}{A matrix of integers: the (i,j)th entry of this
    matrix is the cardinality of the intersection between the i-th
    complex of TSN and the j-th complex of the estimate.}
}
\details{
  See above
}
\value{
  A numeric matrix:

  Matrix that calculates the probablistic independence that a protein
  will be in both complex C-i of the TSN and K-j in the estimate.
}
\examples{
data(simEX)
data(APComEX)
CC = runCompareComplex(simEX, APComEX)
runCompIndep(simEX, APComEX, CC[[1]])
}


\author{T. Chiang}



\keyword{datagen}
