\name{simulator}
\alias{simulator}

\title{Function sets up inputs to call all FN/FP errors on the PPCM}
\description{
  For each bait, the simulator function first partitions all the
  proteins into two groups: (1) those that share co-membership with the bait in the
  ISI and (2) those that do not. From the first group, simulator calls
  the function applyFNErrors to generate the FN's for the error model;
  it calls applyFPErrors on the second group.
}
\usage{
simulator(TSNMat, exMat, bait, rateFP, rateFN)
}

\arguments{
  \item{TSNMat}{The PPCM matrix}
  \item{exMat}{The error model matrix}
  \item{bait}{A bait protein used in the simulated experiment }
  \item{rateFP}{The rate for which FP's are seen in the experiment }
  \item{rateFN}{The rate for which FN's are seen in the experiment }
}
\details{
  See description
}
\value{
  The return value is an directed graph matrix of PPCM with the embedded FN/FP's incorporated.
}

\author{Tony Chiang}


\seealso{\code{\link{runSimulators}}}
\examples{

data(simEX)
data(vBaits)
PPCM = simEX %*% t(simEX)
mode(PPCM) = "logical"
mode(PPCM) = "numeric"
estMat = PPCM[vBaits[2:4],]
rateFP = 0.025
rateFN = 0.20
simulator(simEX, estMat, vBaits[2], rateFP, rateFN)[2,]

}
\keyword{misc}

